SDL_HINT_GPU_DRIVER(3)

NAME
SDL_HINT_GPU_DRIVER - A variable that specifies a GPU backend to use.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_GPU_DRIVER SDL_GPU_DRIVER"

DESCRIPTION
By default, SDL will try all available GPU backends in a reasonable order until it finds one that can work, but this hint allows the app or user to force a specific target, such as "direct3d11" if, say, your hardware supports D3D12 but want to try using D3D11 instead.

This hint should be set before any GPU functions are called.

AVAILABILITY
This hint is available since SDL 3.2.0.